Subject: RE: [Sigtran] m3ua:ipspcomm document

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Wed, 29 May 2002 11:10:20 +0200

Hi Brian, 

Please, see comments below...

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Tuesday, May 28, 2002 6:45 PM
> To: Javier Pastor-Balbas (ECE)
> Cc: 'Tolga Asveren'; [email-masked]
> Subject: Re: [Sigtran] m3ua:ipspcomm document
> 
> 
> Javier,
> 
> Please see comments below...
> 
> Javier Pastor-Balbas (ECE) wrote:                          
> (Tue, 28 May 2002 17:53:04)
> > Hi Tolga, 
> > 
> > Comments below...
> > 
> > > -----Original Message-----
> > > From: Tolga Asveren [mailto:[email-masked]]
> > > Sent: Tuesday, May 28, 2002 5:44 PM
> > > To: [email-masked]
> > > Subject: RE: [Sigtran] m3ua:ipspcomm document
> > > 
> > > 
> > > Hi Javier,
> > > 
> > > > -----Original Message-----
> > > > From: Javier Pastor-Balbas (ECE)
> > > > [mailto:[email-masked]]
> > > > Sent: Tuesday, May 28, 2002 11:25 AM
> > > > To: 'Tolga Asveren'; [email-masked]
> > > > Subject: RE: [Sigtran] m3ua:ipspcomm document
> > > >
> > > >
> > > > Hi Tolga,
> > > >
> > > > Comments below...
> > > >
> > > > > -----Original Message-----
> > > > > From: Tolga Asveren [mailto:[email-masked]]
> > > > > Sent: Tuesday, May 28, 2002 4:19 PM
> > > > > To: [email-masked]
> > > > > Subject: RE: [Sigtran] m3ua:ipspcomm document
> > > > >
> > > > >
> > > > > Just a small clarification below.....
> > > > >
> > > > > > -----Original Message-----
> > > > > > From: [email-masked]
> > > > > [mailto:[email-masked]]On Behalf Of
> > > > > > Tolga Asveren
> > > > > >
> > > > > Sent: Tuesday, May 28, 2002 10:11 AM
> > > > > > To: [email-masked]
> > > > > > Subject: [Sigtran] m3ua:ipspcomm document
> > > > > >
> > > > > >
> > > > > > Javier,
> > > > > >
> > > > > > Now the document is there and so I can officially ask my
> > > > > questions :-) :
> > > > > >
> > > > > > 1- What is the difference between double message exchange (2
> > > > > > ASPUP, 2 ASPAC
> > > > > > etc..) approach and combining ASPF and SGPF together?
> > > > > >
> > > >
> > > > The difference is the concept itself. You don't have two
> > > > entities, you just have one. This entity is like a ASP with the
> > > > possibility of routing to an IP endpoint. The reason to send two
> > > > messages is to follow the current draft. Those messages are sent
> > > > by AS activating and deactivating it. There is a 1:1:1
> > > > relationship between AS:RK:RC. RK and RC implies only one AS and
> > > > not the complete path...
> > > [TOLGA] Sorry, but there is no difference at all. It is exactly
> > > cross-connected ASPF/SGPF case. It is also not peer to peer but 2
> > > client-server relationships. I am also against following the 
> > > current draft
> > > for IPSP case, because there was never a consensus about 
> it in the WG.
> > 
> > I think that you mean there was never a consensus about the 
> two exchange
> > modes for IPSPs. That was the reason why we included both 
> of them. IPSP is
> > included from the earliest versions. It is nothing we 
> included by our own...
> > 
> > It is not necessarily ASPF/SGPF. You can ask all the people 
> that were at the
> > Plugtest, how many of them modeled it as ASPF/SGPF. At 
> least we didn't need
> > it. It is a simply extension of an ASP (as the IPSP 
> definition says).
> 
> No, the IPSP definition says that the IPSP acts like an SG 
> when responding to
> another IPSP acting like an AS.  In fact, the draft you 
> submitted has more
> SG functionality in the IPSP than AS functionality (it has 
> routing keys, it
> distributes messages based on routing key, it accepts 
> registrations, it has
> an MTP3 which talks to the corresponding MTP3-User in the 
> other IPSP, and on,
> and on).
> 

Please read the IPSP definition in the RFC. Even better see the introduction in the new draft. I think all that it is said about IPSP definition in the current RFC. :-)

I agree that the IPSP has all the routing needed to send a message to a remote AS. That's the way it works. You can call the parameters you use to route RK or whatever other thing. But when a message comes from the MTP3-user, you need to send it to a remote node. To get this routing you should look into the Routing Label and get the IP address where the remote node is.

Registration is optional as in RFC. I don't see any major advantage in using it and so I would supress this feature. But it seems some people are implementing it so I wonder if it is right to remove it at this time. We are intended to finish the RFC, not to filter it...

Question: How do you reach the idea that an IPSP has MTP3 ????!!!!
It is one of the key points about that: It is a pure IP node with no SS7 functionality under SCCP/ISUP, only M3UA and SCTP.

> I agree with Tolga, it has been exactly described as 
> criss-cross ASPF/SGPF,
> regardless of what people did at the non-IETF function.

I agree that you can model it as an ASPF/SGPF, but you won't be efficient. There are functions included in SGPF that you don't need in IPSP:
	- Congestion control of the SS7 node
	- State of the SS7 nodes
	- All the DUNA/DAVA/DRST/DAUD messages are not used
	- Primitives to interact with MTP3
	- Primitives to interact with the MTP3 management
	- Primitives or functions to interact with NIF

After removing these functions from the SGP, You also need to do an interworking function or at least a modification that allows that ASPF communicates with SGPF in an effective manner.

Believe me, it is easier to think an IPSP as an ASP where you add some functions needed to route messages to a remote AS. 

But I think it is no worth discussing on that. Every people can have their own view and IETF does not say how you should implement it. Just choose your own model. If you are compliance with the protocol, how to implement it, is your choice.

Cheers // Javier.

> --brian
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran